#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSCustomPropertyRegisteredEvent" "\0"
  /*   941 */ "CSSFontFaceRule" "\0"
  /*   957 */ "CSSFontFeatureValuesRule" "\0"
  /*   982 */ "CSSFontPaletteValuesRule" "\0"
  /*  1007 */ "CSSGroupingRule" "\0"
  /*  1023 */ "CSSImportRule" "\0"
  /*  1037 */ "CSSKeyframeRule" "\0"
  /*  1053 */ "CSSKeyframesRule" "\0"
  /*  1070 */ "CSSLayerBlockRule" "\0"
  /*  1088 */ "CSSLayerStatementRule" "\0"
  /*  1110 */ "CSSMediaRule" "\0"
  /*  1123 */ "CSSMozDocumentRule" "\0"
  /*  1142 */ "CSSNamespaceRule" "\0"
  /*  1159 */ "CSSPageRule" "\0"
  /*  1171 */ "CSSPropertyRule" "\0"
  /*  1187 */ "CSSPseudoElement" "\0"
  /*  1204 */ "CSSRule" "\0"
  /*  1212 */ "CSSRuleList" "\0"
  /*  1224 */ "CSSStyleDeclaration" "\0"
  /*  1244 */ "CSSStyleRule" "\0"
  /*  1257 */ "CSSStyleSheet" "\0"
  /*  1271 */ "CSSSupportsRule" "\0"
  /*  1287 */ "CSSTransition" "\0"
  /*  1301 */ "Cache" "\0"
  /*  1307 */ "CacheStorage" "\0"
  /*  1320 */ "CallbackDebuggerNotification" "\0"
  /*  1349 */ "CanonicalBrowsingContext" "\0"
  /*  1374 */ "CanvasCaptureMediaStream" "\0"
  /*  1399 */ "CanvasGradient" "\0"
  /*  1414 */ "CanvasPattern" "\0"
  /*  1428 */ "CanvasRenderingContext2D" "\0"
  /*  1453 */ "CaretPosition" "\0"
  /*  1467 */ "CaretStateChangedEvent" "\0"
  /*  1490 */ "ChannelMergerNode" "\0"
  /*  1508 */ "ChannelSplitterNode" "\0"
  /*  1528 */ "ChannelWrapper" "\0"
  /*  1543 */ "CharacterData" "\0"
  /*  1557 */ "CheckerboardReportService" "\0"
  /*  1583 */ "ChildProcessMessageManager" "\0"
  /*  1610 */ "ChildSHistory" "\0"
  /*  1624 */ "ChromeMessageBroadcaster" "\0"
  /*  1649 */ "ChromeMessageSender" "\0"
  /*  1669 */ "ChromeNodeList" "\0"
  /*  1684 */ "ChromeUtils" "\0"
  /*  1696 */ "ChromeWorker" "\0"
  /*  1709 */ "Client" "\0"
  /*  1716 */ "Clients" "\0"
  /*  1724 */ "Clipboard" "\0"
  /*  1734 */ "ClipboardEvent" "\0"
  /*  1749 */ "ClipboardItem" "\0"
  /*  1763 */ "ClonedErrorHolder" "\0"
  /*  1781 */ "CloseEvent" "\0"
  /*  1792 */ "CommandEvent" "\0"
  /*  1805 */ "Comment" "\0"
  /*  1813 */ "CompositionEvent" "\0"
  /*  1830 */ "CompressionStream" "\0"
  /*  1848 */ "ConsoleInstance" "\0"
  /*  1864 */ "ConstantSourceNode" "\0"
  /*  1883 */ "ContentFrameMessageManager" "\0"
  /*  1910 */ "ContentProcessMessageManager" "\0"
  /*  1939 */ "ContentVisibilityAutoStateChangeEvent" "\0"
  /*  1977 */ "ConvolverNode" "\0"
  /*  1991 */ "CountQueuingStrategy" "\0"
  /*  2012 */ "CreateOfferRequest" "\0"
  /*  2031 */ "Credential" "\0"
  /*  2042 */ "CredentialsContainer" "\0"
  /*  2063 */ "Crypto" "\0"
  /*  2070 */ "CryptoKey" "\0"
  /*  2080 */ "CustomElementRegistry" "\0"
  /*  2102 */ "CustomEvent" "\0"
  /*  2114 */ "CustomStateSet" "\0"
  /*  2129 */ "DOMException" "\0"
  /*  2142 */ "DOMImplementation" "\0"
  /*  2160 */ "DOMLocalization" "\0"
  /*  2176 */ "DOMMatrix" "\0"
  /*  2186 */ "DOMMatrixReadOnly" "\0"
  /*  2204 */ "DOMParser" "\0"
  /*  2214 */ "DOMPoint" "\0"
  /*  2223 */ "DOMPointReadOnly" "\0"
  /*  2240 */ "DOMQuad" "\0"
  /*  2248 */ "DOMRect" "\0"
  /*  2256 */ "DOMRectList" "\0"
  /*  2268 */ "DOMRectReadOnly" "\0"
  /*  2284 */ "DOMRequest" "\0"
  /*  2295 */ "DOMStringList" "\0"
  /*  2309 */ "DOMStringMap" "\0"
  /*  2322 */ "DOMTokenList" "\0"
  /*  2335 */ "DataTransfer" "\0"
  /*  2348 */ "DataTransferItem" "\0"
  /*  2365 */ "DataTransferItemList" "\0"
  /*  2386 */ "DebuggerNotification" "\0"
  /*  2407 */ "DebuggerNotificationObserver" "\0"
  /*  2436 */ "DecompressionStream" "\0"
  /*  2456 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2483 */ "DelayNode" "\0"
  /*  2493 */ "DeprecationReportBody" "\0"
  /*  2515 */ "DeviceAcceleration" "\0"
  /*  2534 */ "DeviceLightEvent" "\0"
  /*  2551 */ "DeviceMotionEvent" "\0"
  /*  2569 */ "DeviceOrientationEvent" "\0"
  /*  2592 */ "DeviceRotationRate" "\0"
  /*  2611 */ "Directory" "\0"
  /*  2621 */ "Document" "\0"
  /*  2630 */ "DocumentFragment" "\0"
  /*  2647 */ "DocumentL10n" "\0"
  /*  2660 */ "DocumentTimeline" "\0"
  /*  2677 */ "DocumentType" "\0"
  /*  2690 */ "DominatorTree" "\0"
  /*  2704 */ "DragEvent" "\0"
  /*  2714 */ "DynamicsCompressorNode" "\0"
  /*  2737 */ "EXT_blend_minmax" "\0"
  /*  2754 */ "EXT_color_buffer_float" "\0"
  /*  2777 */ "EXT_color_buffer_half_float" "\0"
  /*  2805 */ "EXT_disjoint_timer_query" "\0"
  /*  2830 */ "EXT_float_blend" "\0"
  /*  2846 */ "EXT_frag_depth" "\0"
  /*  2861 */ "EXT_sRGB" "\0"
  /*  2870 */ "EXT_shader_texture_lod" "\0"
  /*  2893 */ "EXT_texture_compression_bptc" "\0"
  /*  2922 */ "EXT_texture_compression_rgtc" "\0"
  /*  2951 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2982 */ "EXT_texture_norm16" "\0"
  /*  3001 */ "Element" "\0"
  /*  3009 */ "ElementInternals" "\0"
  /*  3026 */ "EncodedVideoChunk" "\0"
  /*  3044 */ "ErrorEvent" "\0"
  /*  3055 */ "Event" "\0"
  /*  3061 */ "EventCallbackDebuggerNotification" "\0"
  /*  3095 */ "EventCounts" "\0"
  /*  3107 */ "EventSource" "\0"
  /*  3119 */ "EventTarget" "\0"
  /*  3131 */ "Exception" "\0"
  /*  3141 */ "ExtendableEvent" "\0"
  /*  3157 */ "ExtendableMessageEvent" "\0"
  /*  3180 */ "ExtensionAlarms" "\0"
  /*  3196 */ "ExtensionBrowser" "\0"
  /*  3213 */ "ExtensionBrowserSettings" "\0"
  /*  3238 */ "ExtensionBrowserSettingsColorManagement" "\0"
  /*  3278 */ "ExtensionDns" "\0"
  /*  3291 */ "ExtensionEventManager" "\0"
  /*  3313 */ "ExtensionMockAPI" "\0"
  /*  3330 */ "ExtensionPort" "\0"
  /*  3344 */ "ExtensionProxy" "\0"
  /*  3359 */ "ExtensionRuntime" "\0"
  /*  3376 */ "ExtensionScripting" "\0"
  /*  3395 */ "ExtensionSetting" "\0"
  /*  3412 */ "ExtensionTest" "\0"
  /*  3426 */ "External" "\0"
  /*  3435 */ "FeaturePolicy" "\0"
  /*  3449 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3482 */ "FetchEvent" "\0"
  /*  3493 */ "FetchObserver" "\0"
  /*  3507 */ "File" "\0"
  /*  3512 */ "FileList" "\0"
  /*  3521 */ "FileReader" "\0"
  /*  3532 */ "FileReaderSync" "\0"
  /*  3547 */ "FileSystem" "\0"
  /*  3558 */ "FileSystemDirectoryEntry" "\0"
  /*  3583 */ "FileSystemDirectoryHandle" "\0"
  /*  3609 */ "FileSystemDirectoryHandle AsyncIterator" "\0"
  /*  3649 */ "FileSystemDirectoryIterator" "\0"
  /*  3677 */ "FileSystemDirectoryReader" "\0"
  /*  3703 */ "FileSystemEntry" "\0"
  /*  3719 */ "FileSystemFileEntry" "\0"
  /*  3739 */ "FileSystemFileHandle" "\0"
  /*  3760 */ "FileSystemHandle" "\0"
  /*  3777 */ "FileSystemSyncAccessHandle" "\0"
  /*  3804 */ "FileSystemWritableFileStream" "\0"
  /*  3833 */ "Flex" "\0"
  /*  3838 */ "FlexItemValues" "\0"
  /*  3853 */ "FlexLineValues" "\0"
  /*  3868 */ "FluentBundle" "\0"
  /*  3881 */ "FluentBundleAsyncIterator" "\0"
  /*  3907 */ "FluentBundleIterator" "\0"
  /*  3928 */ "FluentPattern" "\0"
  /*  3942 */ "FluentResource" "\0"
  /*  3957 */ "FocusEvent" "\0"
  /*  3968 */ "FontFace" "\0"
  /*  3977 */ "FontFaceSet" "\0"
  /*  3989 */ "FontFaceSetIterator" "\0"
  /*  4009 */ "FontFaceSetLoadEvent" "\0"
  /*  4030 */ "FormData" "\0"
  /*  4039 */ "FormData Iterator" "\0"
  /*  4057 */ "FormDataEvent" "\0"
  /*  4071 */ "FrameCrashedEvent" "\0"
  /*  4089 */ "FrameLoader" "\0"
  /*  4101 */ "GPU" "\0"
  /*  4105 */ "GPUAdapter" "\0"
  /*  4116 */ "GPUAdapterInfo" "\0"
  /*  4131 */ "GPUBindGroup" "\0"
  /*  4144 */ "GPUBindGroupLayout" "\0"
  /*  4163 */ "GPUBuffer" "\0"
  /*  4173 */ "GPUBufferUsage" "\0"
  /*  4188 */ "GPUCanvasContext" "\0"
  /*  4205 */ "GPUColorWrite" "\0"
  /*  4219 */ "GPUCommandBuffer" "\0"
  /*  4236 */ "GPUCommandEncoder" "\0"
  /*  4254 */ "GPUCompilationInfo" "\0"
  /*  4273 */ "GPUCompilationMessage" "\0"
  /*  4295 */ "GPUComputePassEncoder" "\0"
  /*  4317 */ "GPUComputePipeline" "\0"
  /*  4336 */ "GPUDevice" "\0"
  /*  4346 */ "GPUDeviceLostInfo" "\0"
  /*  4364 */ "GPUError" "\0"
  /*  4373 */ "GPUInternalError" "\0"
  /*  4390 */ "GPUMapMode" "\0"
  /*  4401 */ "GPUOutOfMemoryError" "\0"
  /*  4421 */ "GPUPipelineLayout" "\0"
  /*  4439 */ "GPUQuerySet" "\0"
  /*  4451 */ "GPUQueue" "\0"
  /*  4460 */ "GPURenderBundle" "\0"
  /*  4476 */ "GPURenderBundleEncoder" "\0"
  /*  4499 */ "GPURenderPassEncoder" "\0"
  /*  4520 */ "GPURenderPipeline" "\0"
  /*  4538 */ "GPUSampler" "\0"
  /*  4549 */ "GPUShaderModule" "\0"
  /*  4565 */ "GPUShaderStage" "\0"
  /*  4580 */ "GPUSupportedFeatures" "\0"
  /*  4601 */ "GPUSupportedLimits" "\0"
  /*  4620 */ "GPUTexture" "\0"
  /*  4631 */ "GPUTextureUsage" "\0"
  /*  4647 */ "GPUTextureView" "\0"
  /*  4662 */ "GPUUncapturedErrorEvent" "\0"
  /*  4686 */ "GPUValidationError" "\0"
  /*  4705 */ "GainNode" "\0"
  /*  4714 */ "Gamepad" "\0"
  /*  4722 */ "GamepadAxisMoveEvent" "\0"
  /*  4743 */ "GamepadButton" "\0"
  /*  4757 */ "GamepadButtonEvent" "\0"
  /*  4776 */ "GamepadEvent" "\0"
  /*  4789 */ "GamepadHapticActuator" "\0"
  /*  4811 */ "GamepadLightIndicator" "\0"
  /*  4833 */ "GamepadPose" "\0"
  /*  4845 */ "GamepadServiceTest" "\0"
  /*  4864 */ "GamepadTouch" "\0"
  /*  4877 */ "Geolocation" "\0"
  /*  4889 */ "GeolocationCoordinates" "\0"
  /*  4912 */ "GeolocationPosition" "\0"
  /*  4932 */ "GeolocationPositionError" "\0"
  /*  4957 */ "GetUserMediaRequest" "\0"
  /*  4977 */ "GleanBoolean" "\0"
  /*  4990 */ "GleanCategory" "\0"
  /*  5004 */ "GleanCounter" "\0"
  /*  5017 */ "GleanCustomDistribution" "\0"
  /*  5041 */ "GleanDatetime" "\0"
  /*  5055 */ "GleanDenominator" "\0"
  /*  5072 */ "GleanEvent" "\0"
  /*  5083 */ "GleanImpl" "\0"
  /*  5093 */ "GleanLabeled" "\0"
  /*  5106 */ "GleanMemoryDistribution" "\0"
  /*  5130 */ "GleanMetric" "\0"
  /*  5142 */ "GleanNumerator" "\0"
  /*  5157 */ "GleanPingsImpl" "\0"
  /*  5172 */ "GleanQuantity" "\0"
  /*  5186 */ "GleanRate" "\0"
  /*  5196 */ "GleanString" "\0"
  /*  5208 */ "GleanStringList" "\0"
  /*  5224 */ "GleanText" "\0"
  /*  5234 */ "GleanTimespan" "\0"
  /*  5248 */ "GleanTimingDistribution" "\0"
  /*  5272 */ "GleanUrl" "\0"
  /*  5281 */ "GleanUuid" "\0"
  /*  5291 */ "Grid" "\0"
  /*  5296 */ "GridArea" "\0"
  /*  5305 */ "GridDimension" "\0"
  /*  5319 */ "GridLine" "\0"
  /*  5328 */ "GridLines" "\0"
  /*  5338 */ "GridTrack" "\0"
  /*  5348 */ "GridTracks" "\0"
  /*  5359 */ "HTMLAllCollection" "\0"
  /*  5377 */ "HTMLAnchorElement" "\0"
  /*  5395 */ "HTMLAreaElement" "\0"
  /*  5411 */ "HTMLAudioElement" "\0"
  /*  5428 */ "HTMLBRElement" "\0"
  /*  5442 */ "HTMLBaseElement" "\0"
  /*  5458 */ "HTMLBodyElement" "\0"
  /*  5474 */ "HTMLButtonElement" "\0"
  /*  5492 */ "HTMLCanvasElement" "\0"
  /*  5510 */ "HTMLCollection" "\0"
  /*  5525 */ "HTMLDListElement" "\0"
  /*  5542 */ "HTMLDataElement" "\0"
  /*  5558 */ "HTMLDataListElement" "\0"
  /*  5578 */ "HTMLDetailsElement" "\0"
  /*  5597 */ "HTMLDialogElement" "\0"
  /*  5615 */ "HTMLDirectoryElement" "\0"
  /*  5636 */ "HTMLDivElement" "\0"
  /*  5651 */ "HTMLDocument" "\0"
  /*  5664 */ "HTMLElement" "\0"
  /*  5676 */ "HTMLEmbedElement" "\0"
  /*  5693 */ "HTMLFieldSetElement" "\0"
  /*  5713 */ "HTMLFontElement" "\0"
  /*  5729 */ "HTMLFormControlsCollection" "\0"
  /*  5756 */ "HTMLFormElement" "\0"
  /*  5772 */ "HTMLFrameElement" "\0"
  /*  5789 */ "HTMLFrameSetElement" "\0"
  /*  5809 */ "HTMLHRElement" "\0"
  /*  5823 */ "HTMLHeadElement" "\0"
  /*  5839 */ "HTMLHeadingElement" "\0"
  /*  5858 */ "HTMLHtmlElement" "\0"
  /*  5874 */ "HTMLIFrameElement" "\0"
  /*  5892 */ "HTMLImageElement" "\0"
  /*  5909 */ "HTMLInputElement" "\0"
  /*  5926 */ "HTMLLIElement" "\0"
  /*  5940 */ "HTMLLabelElement" "\0"
  /*  5957 */ "HTMLLegendElement" "\0"
  /*  5975 */ "HTMLLinkElement" "\0"
  /*  5991 */ "HTMLMapElement" "\0"
  /*  6006 */ "HTMLMarqueeElement" "\0"
  /*  6025 */ "HTMLMediaElement" "\0"
  /*  6042 */ "HTMLMenuElement" "\0"
  /*  6058 */ "HTMLMetaElement" "\0"
  /*  6074 */ "HTMLMeterElement" "\0"
  /*  6091 */ "HTMLModElement" "\0"
  /*  6106 */ "HTMLOListElement" "\0"
  /*  6123 */ "HTMLObjectElement" "\0"
  /*  6141 */ "HTMLOptGroupElement" "\0"
  /*  6161 */ "HTMLOptionElement" "\0"
  /*  6179 */ "HTMLOptionsCollection" "\0"
  /*  6201 */ "HTMLOutputElement" "\0"
  /*  6219 */ "HTMLParagraphElement" "\0"
  /*  6240 */ "HTMLParamElement" "\0"
  /*  6257 */ "HTMLPictureElement" "\0"
  /*  6276 */ "HTMLPreElement" "\0"
  /*  6291 */ "HTMLProgressElement" "\0"
  /*  6311 */ "HTMLQuoteElement" "\0"
  /*  6328 */ "HTMLScriptElement" "\0"
  /*  6346 */ "HTMLSelectElement" "\0"
  /*  6364 */ "HTMLSlotElement" "\0"
  /*  6380 */ "HTMLSourceElement" "\0"
  /*  6398 */ "HTMLSpanElement" "\0"
  /*  6414 */ "HTMLStyleElement" "\0"
  /*  6431 */ "HTMLTableCaptionElement" "\0"
  /*  6455 */ "HTMLTableCellElement" "\0"
  /*  6476 */ "HTMLTableColElement" "\0"
  /*  6496 */ "HTMLTableElement" "\0"
  /*  6513 */ "HTMLTableRowElement" "\0"
  /*  6533 */ "HTMLTableSectionElement" "\0"
  /*  6557 */ "HTMLTemplateElement" "\0"
  /*  6577 */ "HTMLTextAreaElement" "\0"
  /*  6597 */ "HTMLTimeElement" "\0"
  /*  6613 */ "HTMLTitleElement" "\0"
  /*  6630 */ "HTMLTrackElement" "\0"
  /*  6647 */ "HTMLUListElement" "\0"
  /*  6664 */ "HTMLUnknownElement" "\0"
  /*  6683 */ "HTMLVideoElement" "\0"
  /*  6700 */ "HashChangeEvent" "\0"
  /*  6716 */ "Headers" "\0"
  /*  6724 */ "Headers Iterator" "\0"
  /*  6741 */ "HeapSnapshot" "\0"
  /*  6754 */ "Highlight" "\0"
  /*  6764 */ "HighlightRegistry" "\0"
  /*  6782 */ "History" "\0"
  /*  6790 */ "IDBCursor" "\0"
  /*  6800 */ "IDBCursorWithValue" "\0"
  /*  6819 */ "IDBDatabase" "\0"
  /*  6831 */ "IDBFactory" "\0"
  /*  6842 */ "IDBIndex" "\0"
  /*  6851 */ "IDBKeyRange" "\0"
  /*  6863 */ "IDBObjectStore" "\0"
  /*  6878 */ "IDBOpenDBRequest" "\0"
  /*  6895 */ "IDBRequest" "\0"
  /*  6906 */ "IDBTransaction" "\0"
  /*  6921 */ "IDBVersionChangeEvent" "\0"
  /*  6943 */ "IIRFilterNode" "\0"
  /*  6957 */ "IOUtils" "\0"
  /*  6965 */ "IdentityCredential" "\0"
  /*  6984 */ "IdleDeadline" "\0"
  /*  6997 */ "Image" "\0"
  /*  7003 */ "ImageBitmap" "\0"
  /*  7015 */ "ImageBitmapRenderingContext" "\0"
  /*  7043 */ "ImageCapture" "\0"
  /*  7056 */ "ImageCaptureError" "\0"
  /*  7074 */ "ImageCaptureErrorEvent" "\0"
  /*  7097 */ "ImageData" "\0"
  /*  7107 */ "ImageDocument" "\0"
  /*  7121 */ "InputEvent" "\0"
  /*  7132 */ "InspectorFontFace" "\0"
  /*  7150 */ "InspectorUtils" "\0"
  /*  7165 */ "InstallTriggerImpl" "\0"
  /*  7184 */ "IntersectionObserver" "\0"
  /*  7205 */ "IntersectionObserverEntry" "\0"
  /*  7231 */ "IntlUtils" "\0"
  /*  7241 */ "InvokeEvent" "\0"
  /*  7253 */ "JSProcessActorChild" "\0"
  /*  7273 */ "JSProcessActorParent" "\0"
  /*  7294 */ "JSWindowActorChild" "\0"
  /*  7313 */ "JSWindowActorParent" "\0"
  /*  7333 */ "KeyEvent" "\0"
  /*  7342 */ "KeyboardEvent" "\0"
  /*  7356 */ "KeyframeEffect" "\0"
  /*  7371 */ "L10nFileSource" "\0"
  /*  7386 */ "L10nOverlays" "\0"
  /*  7399 */ "L10nRegistry" "\0"
  /*  7412 */ "LargestContentfulPaint" "\0"
  /*  7435 */ "LegacyMozTCPSocket" "\0"
  /*  7454 */ "Localization" "\0"
  /*  7467 */ "Location" "\0"
  /*  7476 */ "Lock" "\0"
  /*  7481 */ "LockManager" "\0"
  /*  7493 */ "MIDIAccess" "\0"
  /*  7504 */ "MIDIConnectionEvent" "\0"
  /*  7524 */ "MIDIInput" "\0"
  /*  7534 */ "MIDIInputMap" "\0"
  /*  7547 */ "MIDIMessageEvent" "\0"
  /*  7564 */ "MIDIOutput" "\0"
  /*  7575 */ "MIDIOutputMap" "\0"
  /*  7589 */ "MIDIPort" "\0"
  /*  7598 */ "MOZ_debug" "\0"
  /*  7608 */ "MatchGlob" "\0"
  /*  7618 */ "MatchPattern" "\0"
  /*  7631 */ "MatchPatternSet" "\0"
  /*  7647 */ "MathMLElement" "\0"
  /*  7661 */ "MediaCapabilities" "\0"
  /*  7679 */ "MediaCapabilitiesInfo" "\0"
  /*  7701 */ "MediaControlService" "\0"
  /*  7721 */ "MediaController" "\0"
  /*  7737 */ "MediaDeviceInfo" "\0"
  /*  7753 */ "MediaDevices" "\0"
  /*  7766 */ "MediaElementAudioSourceNode" "\0"
  /*  7794 */ "MediaEncryptedEvent" "\0"
  /*  7814 */ "MediaError" "\0"
  /*  7825 */ "MediaKeyError" "\0"
  /*  7839 */ "MediaKeyMessageEvent" "\0"
  /*  7860 */ "MediaKeySession" "\0"
  /*  7876 */ "MediaKeyStatusMap" "\0"
  /*  7894 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7921 */ "MediaKeySystemAccess" "\0"
  /*  7942 */ "MediaKeys" "\0"
  /*  7952 */ "MediaList" "\0"
  /*  7962 */ "MediaMetadata" "\0"
  /*  7976 */ "MediaQueryList" "\0"
  /*  7991 */ "MediaQueryListEvent" "\0"
  /*  8011 */ "MediaRecorder" "\0"
  /*  8025 */ "MediaRecorderErrorEvent" "\0"
  /*  8049 */ "MediaSession" "\0"
  /*  8062 */ "MediaSource" "\0"
  /*  8074 */ "MediaStream" "\0"
  /*  8086 */ "MediaStreamAudioDestinationNode" "\0"
  /*  8118 */ "MediaStreamAudioSourceNode" "\0"
  /*  8145 */ "MediaStreamError" "\0"
  /*  8162 */ "MediaStreamEvent" "\0"
  /*  8179 */ "MediaStreamTrack" "\0"
  /*  8196 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  8228 */ "MediaStreamTrackEvent" "\0"
  /*  8250 */ "MerchantValidationEvent" "\0"
  /*  8274 */ "MessageBroadcaster" "\0"
  /*  8293 */ "MessageChannel" "\0"
  /*  8308 */ "MessageEvent" "\0"
  /*  8321 */ "MessageListenerManager" "\0"
  /*  8344 */ "MessagePort" "\0"
  /*  8356 */ "MessageSender" "\0"
  /*  8370 */ "MimeType" "\0"
  /*  8379 */ "MimeTypeArray" "\0"
  /*  8393 */ "MouseEvent" "\0"
  /*  8404 */ "MouseScrollEvent" "\0"
  /*  8421 */ "MozCanvasPrintState" "\0"
  /*  8441 */ "MozDocumentMatcher" "\0"
  /*  8460 */ "MozDocumentObserver" "\0"
  /*  8480 */ "MozQueryInterface" "\0"
  /*  8498 */ "MozSharedMap" "\0"
  /*  8511 */ "MozSharedMap Iterator" "\0"
  /*  8533 */ "MozSharedMapChangeEvent" "\0"
  /*  8557 */ "MozStorageAsyncStatementParams" "\0"
  /*  8588 */ "MozStorageStatementParams" "\0"
  /*  8614 */ "MozStorageStatementRow" "\0"
  /*  8637 */ "MozWritableSharedMap" "\0"
  /*  8658 */ "MutationEvent" "\0"
  /*  8672 */ "MutationObserver" "\0"
  /*  8689 */ "MutationRecord" "\0"
  /*  8704 */ "NamedNodeMap" "\0"
  /*  8717 */ "NavigationPreloadManager" "\0"
  /*  8742 */ "Navigator" "\0"
  /*  8752 */ "NetworkInformation" "\0"
  /*  8771 */ "Node" "\0"
  /*  8776 */ "NodeFilter" "\0"
  /*  8787 */ "NodeIterator" "\0"
  /*  8800 */ "NodeList" "\0"
  /*  8809 */ "Notification" "\0"
  /*  8822 */ "NotificationEvent" "\0"
  /*  8840 */ "NotifyPaintEvent" "\0"
  /*  8857 */ "OES_draw_buffers_indexed" "\0"
  /*  8882 */ "OES_element_index_uint" "\0"
  /*  8905 */ "OES_fbo_render_mipmap" "\0"
  /*  8927 */ "OES_standard_derivatives" "\0"
  /*  8952 */ "OES_texture_float" "\0"
  /*  8970 */ "OES_texture_float_linear" "\0"
  /*  8995 */ "OES_texture_half_float" "\0"
  /*  9018 */ "OES_texture_half_float_linear" "\0"
  /*  9048 */ "OES_vertex_array_object" "\0"
  /*  9072 */ "OVR_multiview2" "\0"
  /*  9087 */ "OfflineAudioCompletionEvent" "\0"
  /*  9115 */ "OfflineAudioContext" "\0"
  /*  9135 */ "OffscreenCanvas" "\0"
  /*  9151 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  9185 */ "Option" "\0"
  /*  9192 */ "OscillatorNode" "\0"
  /*  9207 */ "PageTransitionEvent" "\0"
  /*  9227 */ "PaintRequest" "\0"
  /*  9240 */ "PaintRequestList" "\0"
  /*  9257 */ "PaintWorkletGlobalScope" "\0"
  /*  9281 */ "PannerNode" "\0"
  /*  9292 */ "ParentProcessMessageManager" "\0"
  /*  9320 */ "Path2D" "\0"
  /*  9327 */ "PathUtils" "\0"
  /*  9337 */ "PaymentAddress" "\0"
  /*  9352 */ "PaymentMethodChangeEvent" "\0"
  /*  9377 */ "PaymentRequest" "\0"
  /*  9392 */ "PaymentRequestUpdateEvent" "\0"
  /*  9418 */ "PaymentResponse" "\0"
  /*  9434 */ "Performance" "\0"
  /*  9446 */ "PerformanceEntry" "\0"
  /*  9463 */ "PerformanceEntryEvent" "\0"
  /*  9485 */ "PerformanceEventTiming" "\0"
  /*  9508 */ "PerformanceMark" "\0"
  /*  9524 */ "PerformanceMeasure" "\0"
  /*  9543 */ "PerformanceNavigation" "\0"
  /*  9565 */ "PerformanceNavigationTiming" "\0"
  /*  9593 */ "PerformanceObserver" "\0"
  /*  9613 */ "PerformanceObserverEntryList" "\0"
  /*  9642 */ "PerformancePaintTiming" "\0"
  /*  9665 */ "PerformanceResourceTiming" "\0"
  /*  9691 */ "PerformanceServerTiming" "\0"
  /*  9715 */ "PerformanceTiming" "\0"
  /*  9733 */ "PeriodicWave" "\0"
  /*  9746 */ "PermissionStatus" "\0"
  /*  9763 */ "Permissions" "\0"
  /*  9775 */ "PlacesBookmark" "\0"
  /*  9790 */ "PlacesBookmarkAddition" "\0"
  /*  9813 */ "PlacesBookmarkChanged" "\0"
  /*  9835 */ "PlacesBookmarkGuid" "\0"
  /*  9854 */ "PlacesBookmarkKeyword" "\0"
  /*  9876 */ "PlacesBookmarkMoved" "\0"
  /*  9896 */ "PlacesBookmarkRemoved" "\0"
  /*  9918 */ "PlacesBookmarkTags" "\0"
  /*  9937 */ "PlacesBookmarkTime" "\0"
  /*  9956 */ "PlacesBookmarkTitle" "\0"
  /*  9976 */ "PlacesBookmarkUrl" "\0"
  /*  9994 */ "PlacesEvent" "\0"
  /* 10006 */ "PlacesFavicon" "\0"
  /* 10020 */ "PlacesHistoryCleared" "\0"
  /* 10041 */ "PlacesObservers" "\0"
  /* 10057 */ "PlacesPurgeCaches" "\0"
  /* 10075 */ "PlacesRanking" "\0"
  /* 10089 */ "PlacesVisit" "\0"
  /* 10101 */ "PlacesVisitRemoved" "\0"
  /* 10120 */ "PlacesVisitTitle" "\0"
  /* 10137 */ "PlacesWeakCallbackWrapper" "\0"
  /* 10163 */ "Plugin" "\0"
  /* 10170 */ "PluginArray" "\0"
  /* 10182 */ "PluginCrashedEvent" "\0"
  /* 10201 */ "PointerEvent" "\0"
  /* 10214 */ "PopStateEvent" "\0"
  /* 10228 */ "PopupBlockedEvent" "\0"
  /* 10246 */ "PopupPositionedEvent" "\0"
  /* 10267 */ "PositionStateEvent" "\0"
  /* 10286 */ "PrecompiledScript" "\0"
  /* 10304 */ "ProcessMessageManager" "\0"
  /* 10326 */ "ProcessingInstruction" "\0"
  /* 10348 */ "ProgressEvent" "\0"
  /* 10362 */ "PromiseDebugging" "\0"
  /* 10379 */ "PromiseNativeHandler" "\0"
  /* 10400 */ "PromiseRejectionEvent" "\0"
  /* 10422 */ "PublicKeyCredential" "\0"
  /* 10442 */ "PushEvent" "\0"
  /* 10452 */ "PushManager" "\0"
  /* 10464 */ "PushManagerImpl" "\0"
  /* 10480 */ "PushMessageData" "\0"
  /* 10496 */ "PushSubscription" "\0"
  /* 10513 */ "PushSubscriptionOptions" "\0"
  /* 10537 */ "RadioNodeList" "\0"
  /* 10551 */ "Range" "\0"
  /* 10557 */ "ReadableByteStreamController" "\0"
  /* 10586 */ "ReadableStream" "\0"
  /* 10601 */ "ReadableStream AsyncIterator" "\0"
  /* 10630 */ "ReadableStreamBYOBReader" "\0"
  /* 10655 */ "ReadableStreamBYOBRequest" "\0"
  /* 10681 */ "ReadableStreamDefaultController" "\0"
  /* 10713 */ "ReadableStreamDefaultReader" "\0"
  /* 10741 */ "Report" "\0"
  /* 10748 */ "ReportBody" "\0"
  /* 10759 */ "ReportingObserver" "\0"
  /* 10777 */ "Request" "\0"
  /* 10785 */ "ResizeObserver" "\0"
  /* 10800 */ "ResizeObserverEntry" "\0"
  /* 10820 */ "ResizeObserverSize" "\0"
  /* 10839 */ "Response" "\0"
  /* 10848 */ "SVGAElement" "\0"
  /* 10860 */ "SVGAngle" "\0"
  /* 10869 */ "SVGAnimateElement" "\0"
  /* 10887 */ "SVGAnimateMotionElement" "\0"
  /* 10911 */ "SVGAnimateTransformElement" "\0"
  /* 10938 */ "SVGAnimatedAngle" "\0"
  /* 10955 */ "SVGAnimatedBoolean" "\0"
  /* 10974 */ "SVGAnimatedEnumeration" "\0"
  /* 10997 */ "SVGAnimatedInteger" "\0"
  /* 11016 */ "SVGAnimatedLength" "\0"
  /* 11034 */ "SVGAnimatedLengthList" "\0"
  /* 11056 */ "SVGAnimatedNumber" "\0"
  /* 11074 */ "SVGAnimatedNumberList" "\0"
  /* 11096 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 11127 */ "SVGAnimatedRect" "\0"
  /* 11143 */ "SVGAnimatedString" "\0"
  /* 11161 */ "SVGAnimatedTransformList" "\0"
  /* 11186 */ "SVGAnimationElement" "\0"
  /* 11206 */ "SVGCircleElement" "\0"
  /* 11223 */ "SVGClipPathElement" "\0"
  /* 11242 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11278 */ "SVGDefsElement" "\0"
  /* 11293 */ "SVGDescElement" "\0"
  /* 11308 */ "SVGElement" "\0"
  /* 11319 */ "SVGEllipseElement" "\0"
  /* 11337 */ "SVGFEBlendElement" "\0"
  /* 11355 */ "SVGFEColorMatrixElement" "\0"
  /* 11379 */ "SVGFEComponentTransferElement" "\0"
  /* 11409 */ "SVGFECompositeElement" "\0"
  /* 11431 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11458 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11486 */ "SVGFEDisplacementMapElement" "\0"
  /* 11514 */ "SVGFEDistantLightElement" "\0"
  /* 11539 */ "SVGFEDropShadowElement" "\0"
  /* 11562 */ "SVGFEFloodElement" "\0"
  /* 11580 */ "SVGFEFuncAElement" "\0"
  /* 11598 */ "SVGFEFuncBElement" "\0"
  /* 11616 */ "SVGFEFuncGElement" "\0"
  /* 11634 */ "SVGFEFuncRElement" "\0"
  /* 11652 */ "SVGFEGaussianBlurElement" "\0"
  /* 11677 */ "SVGFEImageElement" "\0"
  /* 11695 */ "SVGFEMergeElement" "\0"
  /* 11713 */ "SVGFEMergeNodeElement" "\0"
  /* 11735 */ "SVGFEMorphologyElement" "\0"
  /* 11758 */ "SVGFEOffsetElement" "\0"
  /* 11777 */ "SVGFEPointLightElement" "\0"
  /* 11800 */ "SVGFESpecularLightingElement" "\0"
  /* 11829 */ "SVGFESpotLightElement" "\0"
  /* 11851 */ "SVGFETileElement" "\0"
  /* 11868 */ "SVGFETurbulenceElement" "\0"
  /* 11891 */ "SVGFilterElement" "\0"
  /* 11908 */ "SVGForeignObjectElement" "\0"
  /* 11932 */ "SVGGElement" "\0"
  /* 11944 */ "SVGGeometryElement" "\0"
  /* 11963 */ "SVGGradientElement" "\0"
  /* 11982 */ "SVGGraphicsElement" "\0"
  /* 12001 */ "SVGImageElement" "\0"
  /* 12017 */ "SVGLength" "\0"
  /* 12027 */ "SVGLengthList" "\0"
  /* 12041 */ "SVGLineElement" "\0"
  /* 12056 */ "SVGLinearGradientElement" "\0"
  /* 12081 */ "SVGMPathElement" "\0"
  /* 12097 */ "SVGMarkerElement" "\0"
  /* 12114 */ "SVGMaskElement" "\0"
  /* 12129 */ "SVGMatrix" "\0"
  /* 12139 */ "SVGMetadataElement" "\0"
  /* 12158 */ "SVGNumber" "\0"
  /* 12168 */ "SVGNumberList" "\0"
  /* 12182 */ "SVGPathElement" "\0"
  /* 12197 */ "SVGPathSeg" "\0"
  /* 12208 */ "SVGPathSegArcAbs" "\0"
  /* 12225 */ "SVGPathSegArcRel" "\0"
  /* 12242 */ "SVGPathSegClosePath" "\0"
  /* 12262 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12288 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12314 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12346 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12378 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12408 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12438 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12474 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12510 */ "SVGPathSegLinetoAbs" "\0"
  /* 12530 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12560 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12590 */ "SVGPathSegLinetoRel" "\0"
  /* 12610 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12638 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12666 */ "SVGPathSegList" "\0"
  /* 12681 */ "SVGPathSegMovetoAbs" "\0"
  /* 12701 */ "SVGPathSegMovetoRel" "\0"
  /* 12721 */ "SVGPatternElement" "\0"
  /* 12739 */ "SVGPoint" "\0"
  /* 12748 */ "SVGPointList" "\0"
  /* 12761 */ "SVGPolygonElement" "\0"
  /* 12779 */ "SVGPolylineElement" "\0"
  /* 12798 */ "SVGPreserveAspectRatio" "\0"
  /* 12821 */ "SVGRadialGradientElement" "\0"
  /* 12846 */ "SVGRect" "\0"
  /* 12854 */ "SVGRectElement" "\0"
  /* 12869 */ "SVGSVGElement" "\0"
  /* 12883 */ "SVGScriptElement" "\0"
  /* 12900 */ "SVGSetElement" "\0"
  /* 12914 */ "SVGStopElement" "\0"
  /* 12929 */ "SVGStringList" "\0"
  /* 12943 */ "SVGStyleElement" "\0"
  /* 12959 */ "SVGSwitchElement" "\0"
  /* 12976 */ "SVGSymbolElement" "\0"
  /* 12993 */ "SVGTSpanElement" "\0"
  /* 13009 */ "SVGTextContentElement" "\0"
  /* 13031 */ "SVGTextElement" "\0"
  /* 13046 */ "SVGTextPathElement" "\0"
  /* 13065 */ "SVGTextPositioningElement" "\0"
  /* 13091 */ "SVGTitleElement" "\0"
  /* 13107 */ "SVGTransform" "\0"
  /* 13120 */ "SVGTransformList" "\0"
  /* 13137 */ "SVGUnitTypes" "\0"
  /* 13150 */ "SVGUseElement" "\0"
  /* 13164 */ "SVGViewElement" "\0"
  /* 13179 */ "Sanitizer" "\0"
  /* 13189 */ "Scheduler" "\0"
  /* 13199 */ "Screen" "\0"
  /* 13206 */ "ScreenLuminance" "\0"
  /* 13222 */ "ScreenOrientation" "\0"
  /* 13240 */ "ScriptProcessorNode" "\0"
  /* 13260 */ "ScrollAreaEvent" "\0"
  /* 13276 */ "ScrollViewChangeEvent" "\0"
  /* 13298 */ "SecurityPolicyViolationEvent" "\0"
  /* 13327 */ "Selection" "\0"
  /* 13337 */ "ServiceWorker" "\0"
  /* 13351 */ "ServiceWorkerContainer" "\0"
  /* 13374 */ "ServiceWorkerGlobalScope" "\0"
  /* 13399 */ "ServiceWorkerRegistration" "\0"
  /* 13425 */ "SessionStoreFormData" "\0"
  /* 13446 */ "SessionStoreScrollData" "\0"
  /* 13469 */ "SessionStoreUtils" "\0"
  /* 13487 */ "ShadowRealmGlobalScope" "\0"
  /* 13510 */ "ShadowRoot" "\0"
  /* 13521 */ "SharedWorker" "\0"
  /* 13534 */ "SharedWorkerGlobalScope" "\0"
  /* 13558 */ "SimpleGestureEvent" "\0"
  /* 13577 */ "SourceBuffer" "\0"
  /* 13590 */ "SourceBufferList" "\0"
  /* 13607 */ "SpeechGrammar" "\0"
  /* 13621 */ "SpeechGrammarList" "\0"
  /* 13639 */ "SpeechRecognition" "\0"
  /* 13657 */ "SpeechRecognitionAlternative" "\0"
  /* 13686 */ "SpeechRecognitionError" "\0"
  /* 13709 */ "SpeechRecognitionEvent" "\0"
  /* 13732 */ "SpeechRecognitionResult" "\0"
  /* 13756 */ "SpeechRecognitionResultList" "\0"
  /* 13784 */ "SpeechSynthesis" "\0"
  /* 13800 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13826 */ "SpeechSynthesisEvent" "\0"
  /* 13847 */ "SpeechSynthesisUtterance" "\0"
  /* 13872 */ "SpeechSynthesisVoice" "\0"
  /* 13893 */ "StaticRange" "\0"
  /* 13905 */ "StereoPannerNode" "\0"
  /* 13922 */ "Storage" "\0"
  /* 13930 */ "StorageEvent" "\0"
  /* 13943 */ "StorageManager" "\0"
  /* 13958 */ "StreamFilter" "\0"
  /* 13971 */ "StreamFilterDataEvent" "\0"
  /* 13993 */ "StructuredCloneHolder" "\0"
  /* 14015 */ "StructuredCloneTester" "\0"
  /* 14037 */ "StyleSheet" "\0"
  /* 14048 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 14085 */ "StyleSheetList" "\0"
  /* 14100 */ "StyleSheetRemovedEvent" "\0"
  /* 14123 */ "SubmitEvent" "\0"
  /* 14135 */ "SubtleCrypto" "\0"
  /* 14148 */ "SyncMessageSender" "\0"
  /* 14166 */ "SyncReadFile" "\0"
  /* 14179 */ "TCPServerSocket" "\0"
  /* 14195 */ "TCPServerSocketEvent" "\0"
  /* 14216 */ "TCPSocket" "\0"
  /* 14226 */ "TCPSocketErrorEvent" "\0"
  /* 14246 */ "TCPSocketEvent" "\0"
  /* 14261 */ "TaskController" "\0"
  /* 14276 */ "TaskPriorityChangeEvent" "\0"
  /* 14300 */ "TaskSignal" "\0"
  /* 14311 */ "TelemetryStopwatch" "\0"
  /* 14330 */ "TestUtils" "\0"
  /* 14340 */ "TestingDeprecatedInterface" "\0"
  /* 14367 */ "Text" "\0"
  /* 14372 */ "TextClause" "\0"
  /* 14383 */ "TextDecoder" "\0"
  /* 14395 */ "TextDecoderStream" "\0"
  /* 14413 */ "TextEncoder" "\0"
  /* 14425 */ "TextEncoderStream" "\0"
  /* 14443 */ "TextMetrics" "\0"
  /* 14455 */ "TextTrack" "\0"
  /* 14465 */ "TextTrackCue" "\0"
  /* 14478 */ "TextTrackCueList" "\0"
  /* 14495 */ "TextTrackList" "\0"
  /* 14509 */ "TimeEvent" "\0"
  /* 14519 */ "TimeRanges" "\0"
  /* 14530 */ "ToggleEvent" "\0"
  /* 14542 */ "Touch" "\0"
  /* 14548 */ "TouchEvent" "\0"
  /* 14559 */ "TouchList" "\0"
  /* 14569 */ "TrackEvent" "\0"
  /* 14580 */ "TransformStream" "\0"
  /* 14596 */ "TransformStreamDefaultController" "\0"
  /* 14629 */ "TransitionEvent" "\0"
  /* 14645 */ "TreeColumn" "\0"
  /* 14656 */ "TreeColumns" "\0"
  /* 14668 */ "TreeContentView" "\0"
  /* 14684 */ "TreeWalker" "\0"
  /* 14695 */ "UDPMessageEvent" "\0"
  /* 14711 */ "UDPSocket" "\0"
  /* 14721 */ "UIEvent" "\0"
  /* 14729 */ "URL" "\0"
  /* 14733 */ "URLSearchParams" "\0"
  /* 14749 */ "URLSearchParams Iterator" "\0"
  /* 14774 */ "UniFFIPointer" "\0"
  /* 14788 */ "UniFFIScaffolding" "\0"
  /* 14806 */ "UserActivation" "\0"
  /* 14821 */ "UserInteraction" "\0"
  /* 14837 */ "UserProximityEvent" "\0"
  /* 14856 */ "VRDisplay" "\0"
  /* 14866 */ "VRDisplayCapabilities" "\0"
  /* 14888 */ "VRDisplayEvent" "\0"
  /* 14903 */ "VREyeParameters" "\0"
  /* 14919 */ "VRFieldOfView" "\0"
  /* 14933 */ "VRFrameData" "\0"
  /* 14945 */ "VRMockController" "\0"
  /* 14962 */ "VRMockDisplay" "\0"
  /* 14976 */ "VRPose" "\0"
  /* 14983 */ "VRServiceTest" "\0"
  /* 14997 */ "VRStageParameters" "\0"
  /* 15015 */ "VTTCue" "\0"
  /* 15022 */ "VTTRegion" "\0"
  /* 15032 */ "ValidityState" "\0"
  /* 15046 */ "VideoColorSpace" "\0"
  /* 15062 */ "VideoDecoder" "\0"
  /* 15075 */ "VideoEncoder" "\0"
  /* 15088 */ "VideoFrame" "\0"
  /* 15099 */ "VideoPlaybackQuality" "\0"
  /* 15120 */ "VideoTrack" "\0"
  /* 15131 */ "VideoTrackList" "\0"
  /* 15146 */ "VisualViewport" "\0"
  /* 15161 */ "WEBGL_color_buffer_float" "\0"
  /* 15186 */ "WEBGL_compressed_texture_astc" "\0"
  /* 15216 */ "WEBGL_compressed_texture_etc" "\0"
  /* 15245 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 15275 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 15306 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 15336 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 15371 */ "WEBGL_debug_renderer_info" "\0"
  /* 15397 */ "WEBGL_debug_shaders" "\0"
  /* 15417 */ "WEBGL_depth_texture" "\0"
  /* 15437 */ "WEBGL_draw_buffers" "\0"
  /* 15456 */ "WEBGL_explicit_present" "\0"
  /* 15479 */ "WEBGL_lose_context" "\0"
  /* 15498 */ "WEBGL_provoking_vertex" "\0"
  /* 15521 */ "WakeLock" "\0"
  /* 15530 */ "WakeLockSentinel" "\0"
  /* 15547 */ "WaveShaperNode" "\0"
  /* 15562 */ "WebExtensionContentScript" "\0"
  /* 15588 */ "WebExtensionPolicy" "\0"
  /* 15607 */ "WebGL2RenderingContext" "\0"
  /* 15630 */ "WebGLActiveInfo" "\0"
  /* 15646 */ "WebGLBuffer" "\0"
  /* 15658 */ "WebGLContextEvent" "\0"
  /* 15676 */ "WebGLFramebuffer" "\0"
  /* 15693 */ "WebGLProgram" "\0"
  /* 15706 */ "WebGLQuery" "\0"
  /* 15717 */ "WebGLRenderbuffer" "\0"
  /* 15735 */ "WebGLRenderingContext" "\0"
  /* 15757 */ "WebGLSampler" "\0"
  /* 15770 */ "WebGLShader" "\0"
  /* 15782 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15809 */ "WebGLSync" "\0"
  /* 15819 */ "WebGLTexture" "\0"
  /* 15832 */ "WebGLTransformFeedback" "\0"
  /* 15855 */ "WebGLUniformLocation" "\0"
  /* 15876 */ "WebGLVertexArrayObject" "\0"
  /* 15899 */ "WebKitCSSMatrix" "\0"
  /* 15915 */ "WebSocket" "\0"
  /* 15925 */ "WebTransport" "\0"
  /* 15938 */ "WebTransportBidirectionalStream" "\0"
  /* 15970 */ "WebTransportDatagramDuplexStream" "\0"
  /* 16003 */ "WebTransportError" "\0"
  /* 16021 */ "WebTransportReceiveStream" "\0"
  /* 16047 */ "WebTransportSendStream" "\0"
  /* 16070 */ "WheelEvent" "\0"
  /* 16081 */ "Window" "\0"
  /* 16088 */ "WindowClient" "\0"
  /* 16101 */ "WindowContext" "\0"
  /* 16115 */ "WindowGlobalChild" "\0"
  /* 16133 */ "WindowGlobalParent" "\0"
  /* 16152 */ "WindowRoot" "\0"
  /* 16163 */ "Worker" "\0"
  /* 16170 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16196 */ "WorkerGlobalScope" "\0"
  /* 16214 */ "WorkerLocation" "\0"
  /* 16229 */ "WorkerNavigator" "\0"
  /* 16245 */ "WorkerTestUtils" "\0"
  /* 16261 */ "Worklet" "\0"
  /* 16269 */ "WorkletGlobalScope" "\0"
  /* 16288 */ "WritableStream" "\0"
  /* 16303 */ "WritableStreamDefaultController" "\0"
  /* 16335 */ "WritableStreamDefaultWriter" "\0"
  /* 16363 */ "XMLDocument" "\0"
  /* 16375 */ "XMLHttpRequest" "\0"
  /* 16390 */ "XMLHttpRequestEventTarget" "\0"
  /* 16416 */ "XMLHttpRequestUpload" "\0"
  /* 16437 */ "XMLSerializer" "\0"
  /* 16451 */ "XPathEvaluator" "\0"
  /* 16466 */ "XPathExpression" "\0"
  /* 16482 */ "XPathResult" "\0"
  /* 16494 */ "XRBoundedReferenceSpace" "\0"
  /* 16518 */ "XRFrame" "\0"
  /* 16526 */ "XRInputSource" "\0"
  /* 16540 */ "XRInputSourceArray" "\0"
  /* 16559 */ "XRInputSourceEvent" "\0"
  /* 16578 */ "XRInputSourcesChangeEvent" "\0"
  /* 16604 */ "XRPose" "\0"
  /* 16611 */ "XRReferenceSpace" "\0"
  /* 16628 */ "XRReferenceSpaceEvent" "\0"
  /* 16650 */ "XRRenderState" "\0"
  /* 16664 */ "XRRigidTransform" "\0"
  /* 16681 */ "XRSession" "\0"
  /* 16691 */ "XRSessionEvent" "\0"
  /* 16706 */ "XRSpace" "\0"
  /* 16714 */ "XRSystem" "\0"
  /* 16723 */ "XRView" "\0"
  /* 16730 */ "XRViewerPose" "\0"
  /* 16743 */ "XRViewport" "\0"
  /* 16754 */ "XRWebGLLayer" "\0"
  /* 16767 */ "XSLTProcessor" "\0"
  /* 16781 */ "XULCommandEvent" "\0"
  /* 16797 */ "XULElement" "\0"
  /* 16808 */ "XULFrameElement" "\0"
  /* 16824 */ "XULMenuElement" "\0"
  /* 16839 */ "XULPopupElement" "\0"
  /* 16855 */ "XULResizerElement" "\0"
  /* 16873 */ "XULTextElement" "\0"
  /* 16888 */ "XULTreeElement" "\0"
  /* 16903 */ "console" "\0"
  /* 16911 */ "webkitSpeechGrammar" "\0"
  /* 16931 */ "webkitSpeechGrammarList" "\0"
  /* 16955 */ "webkitSpeechRecognition" "\0"
  /* 16979 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

